[arch-commits] Commit in libbeagle/repos (extra-i686 extra-i686/PKGBUILD)

Jan de Groot jgc at archlinux.org
Sat Apr 4 16:29:59 EDT 2009


    Date: Saturday, April 4, 2009 @ 16:29:59
  Author: jgc
Revision: 33814

Merged revisions 33805 via svnmerge from 
svn+ssh://svn.archlinux.org/srv/svn-packages/libbeagle/trunk

........
  r33805 | jgc | 2009-04-04 20:22:46 +0000 (Sat, 04 Apr 2009) | 1 line
  
  upgpkg: libbeagle 0.3.9-1
........

Modified:
  libbeagle/repos/extra-i686/	(properties)
  libbeagle/repos/extra-i686/PKGBUILD

----------+
 PKGBUILD |   24 +++++++++++-------------
 1 file changed, 11 insertions(+), 13 deletions(-)


Property changes on: libbeagle/repos/extra-i686
___________________________________________________________________
Modified: svnmerge-integrated
   - /libbeagle/trunk:1-675
   + /libbeagle/trunk:1-33813

Modified: extra-i686/PKGBUILD
===================================================================
--- extra-i686/PKGBUILD	2009-04-04 20:27:58 UTC (rev 33813)
+++ extra-i686/PKGBUILD	2009-04-04 20:29:59 UTC (rev 33814)
@@ -2,26 +2,24 @@
 # Maintainer: Daniel Isenmann <daniel at archlinux.org>
 
 pkgname=libbeagle
-pkgver=0.3.5.1
+pkgver=0.3.9
 pkgrel=1
 pkgdesc="Beagle desktop search client library"
 arch=(i686 x86_64)
 url="http://www.gnome.org/projects/beagle/"
 license=('custom')
-depends=('glib2>=2.16.2' 'libxml2>=2.6.31')
-makedepends=('gtk-sharp-2' 'pkgconfig' 'pygtk' 'sqlite3' 'gmime' 'perlxml' 'zip')
+depends=('glib2>=2.20.0' 'libxml2>=2.7.3')
+makedepends=('pkgconfig')
 options=('!libtool')
-source=(http://ftp.gnome.org/pub/GNOME/sources/$pkgname/0.3/$pkgname-$pkgver.tar.bz2)
-md5sums=('b72a8c38a80e2a13f164b0437e539a93')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/0.3/${pkgname}-${pkgver}.tar.bz2)
+md5sums=('af1e25bdfb704ee87047bc49a73fbb10')
 
 build() {
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd "${srcdir}/${pkgname}-${pkgver}"
   ./configure --prefix=/usr --sysconfdir=/etc \
-              --localstatedir=/var --disable-gui \
-	      --disable-static
-    make || return 1
-    make DESTDIR=${startdir}/pkg install
-   mkdir -p ${startdir}/pkg/usr/share/licenses/libbeagle
-  install -m644 ${startdir}/src/${pkgname}-${pkgver}/COPYING \
-                ${startdir}/pkg/usr/share/licenses/libbeagle
+              --localstatedir=/var --disable-static || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+  install -m755 -d "${pkgdir}/usr/share/licenses/libbeagle"
+  install -m644 COPYING "${pkgdir}/usr/share/licenses/libbeagle/" || return 1
 }



More information about the arch-commits mailing list